package com.yifu.cloud.plus.v1.yifu.insurances.service.insurance.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceRefund;
import com.yifu.cloud.plus.v1.yifu.insurances.mapper.insurances.TInsuranceRefundMapper;
import com.yifu.cloud.plus.v1.yifu.insurances.service.insurance.TInsuranceRefundService;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【t_insurance_refund(减员信息表)】的数据库操作Service实现
* @createDate 2022-07-25 21:06:36
*/
@Service
public class TInsuranceRefundServiceImpl extends ServiceImpl<TInsuranceRefundMapper, TInsuranceRefund>
implements TInsuranceRefundService {

	@Override
	public TInsuranceRefund getByInsDetailId(String id) {
		return this.baseMapper.getByInsDetailId(id);
	}

	@Override
	public void updateByInsDetailId(TInsuranceRefund insuranceRefund) {
		this.baseMapper.updateByInsDetailId(insuranceRefund);
	}

	@Override
	public int updateRefundMoney(TInsuranceRefund insuranceRefund) {
		return this.baseMapper.updateRefundMoney(insuranceRefund);
	}


}
